/*
 * Created on 08.03.2003
 *
 * Jrgen Seitz 	-	Software nach Mass
 */
package stammdaten;

/**
 * @author jrgen seitz
 *
 * einfache Klasse zum Speichern von Adressdaten
 */
public class StandardAdresse {

	private StandardAnschrift anschrift;
	private Integer id;
	private String name;
	private String vorname;
	
	/**
	 * Konstruktor zum Instanzieren einer neuen Adresse mit allen bentigten Werten
	 */
	public StandardAdresse(Integer id, String name, String vorname, StandardAnschrift anschrift) {
		this.id = id;
		this.name = name;
		this.vorname = vorname;
		this.anschrift = anschrift;
	}

	/**
	 * @return Integer 
	 * gibt die ID der Adresse als Integer zurck
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @return String
	 * gibt die Anschrift der Adresse als String zurck
	 */
	public StandardAnschrift getAnschrift() {
		return this.anschrift;
	}

	/**
	 * @return String
	 * gibt den Namen der Adresse als String zurck
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return String
	 * gibt den Vornamen der Adresse als String zurck
	 */
	public String getVorname() {
		return vorname;
	}

	/**
	 * @see java.lang.Object#toString()
	 * gibt die komplette StandardAdresse als String zurck
	 */
	public String toString() {
		return "ID: " + getId() + ", " + getVorname() + " " + getName() + anschrift.toString();
	}
}
